From 4c4c4fd42afde2fefa7b1f990c563d194ae6927f Mon Sep 17 00:00:00 2001
From: "devang.dixit" <devang.dixit@volansys.com>
Date: Mon, 14 Jun 2021 17:43:22 +0530
Subject: [PATCH] error_resolved_patch

---
 drivers/iio/accel/st_lis2hh12_buffer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/iio/accel/st_lis2hh12_buffer.c b/drivers/iio/accel/st_lis2hh12_buffer.c
index ae32b85..f948fd3 100644
--- a/drivers/iio/accel/st_lis2hh12_buffer.c
+++ b/drivers/iio/accel/st_lis2hh12_buffer.c
@@ -88,7 +88,7 @@ void lis2hh12_read_fifo(struct lis2hh12_data *cdata, bool check_fifo_len)
 		if (read_len > cdata->fifo_size)
 			read_len = cdata->fifo_size;
 	}
-        printf("---->Reading OUT_L read_len = %d<----\r\n",read_len);
+        printk("---->Reading OUT_L read_len = %d<----\r\n",read_len);
 	err = lis2hh12_read_register(cdata, LIS2HH12_OUTX_L_ADDR, read_len,
 							cdata->fifo_data);
 	if (err < 0)
-- 
2.7.4

